Map rendering via python not working correctly for raster layers (depending on blending mode)

2017-04-01 12:48 AM - Alexander Otte

Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.18.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24312

Description

When rendering a raster layer via python (using printPageAsRaster() or QPainter()) only a subpart of the layer is

correctly rendered if the raster layer blending mode is "burn" (also for "multiply" and maybe others. No issue for blending mode "normal").

Display in Qgis is correct. Save as raster image in map composer also gives correct result.

Was OK for all QGIS versions before 2.18.x (Win).

To reproduce:

- Create new project

- Add new raster layer with attached file test_raster_image.tif (including test_raster_image.tifw)

- Use WGS84 (EPSG:32632)

- Set raster layer property->Style->blending mode to "burn" 

- Open Qgis python console

- Execute the commands from attached python file export_image.txt to export the map as an .jpg image

- Check how the produced image.jpg looks compared to the Qgis display

Additional hints:

- other methods of rendering in python show the same issue

- size of correctly rendered map area depends on rendering size/resolution (in python script supplied, use variable "dpi" to change this)

History

#1 - 2017-04-01 01:03 AM - Alexander Otte

- File reproduce_issue.zip added

Here is the attachment. To get small file size the data was heavily reduced. Still enough to show the issue.

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
